Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Wed, 26 Mar 2014 22:58:17 +0000

Juanma Barranquero writes:
 > On Wed, Mar 26, 2014 at 8:14 PM, Robert Marshall <[email-masked]> wrote:
 > > Should I be updating my pull from bzr? (if only to keep in sync with you)
 > 
 > Yes, thanks.
 > 

Did that, built (with just a make) and got Invalid read syntax ")" on dired-aux
so I then tried make bootstrap and get

.....
make[3]: Entering directory `/home/robert/emacs-bzr/lisp'
EMACSLOADPATH= '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp -l autoload \
	   --eval "(setq generate-autoload-cookie \";;;###cal-autoload\")" \
	   --eval "(setq generated-autoload-file (expand-file-name (unmsys--file-name \"calendar/cal-loaddefs.el\")))" \
	   -f batch-update-autoloads ./calendar
Wrote /home/robert/emacs-bzr/lisp/calendar/cal-loaddefs.el
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
..... lots more of these
..... ending with
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
Wrote /home/robert/emacs-bzr/lisp/calendar/cal-loaddefs.el
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
Eager macro-expansion failure: (invalid-read-syntax ")")
Loading macroexp.elc...
Invalid read syntax: ")"
make[3]: *** [calendar/cal-loaddefs.el] Error 255
make[3]: Leaving directory `/home/robert/emacs-bzr/lisp'
make[2]: *** [../lisp/loaddefs.el] Error 2
make[2]: Leaving directory `/home/robert/emacs-bzr/src'
make[1]: *** [src] Error 2
make[1]: Leaving directory `/home/robert/emacs-bzr'
make: *** [bootstrap] Error 2

Do you want a separate bug report? Or is there something obvious I've missed?

Robert
-- 
Robert Marshall